<template>
  <b-tab title-link-class="custom-tabs">
    <template #title>
      <b-icon icon="bar-chart-line"></b-icon> Dataviz
    </template>
    <h3 class="line-header">Dataviz</h3>
     <b-row class="mb-3">
      <b-col cols="4">
        <b-form-checkbox
          v-model="layer.dataviz.active" switch>
            Activer l'affichage du dashboard dans la fiche info
        </b-form-checkbox>
        <b-form-checkbox
          v-model="layer.dataviz.activePopup" switch>
            Activer l'affichage du dashboard dans l'infobulle
        </b-form-checkbox>
      </b-col>
    </b-row>
     <FormTextInput v-bind:label="'Url du dashboard Metabase'"
              :tooltip="'Url du dashboard Metabase'"
              v-model="layer.dataviz.url"/>

  </b-tab>
</template>

<script lang="ts">
/* eslint-disable no-param-reassign */
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import FormTextInput from '@/components/shared/FormTextInput.vue';
import LayerConfig from '@/models/map-context/LayerConfig';
import Component from 'vue-class-component';
import BaseComponent from '../../BaseComponent';

@Component({
  props: {
    layer: LayerConfig,
  },
  components: {
    FormTextInput,
  },
})
export default class DatavizInfos extends BaseComponent {
  layer!: LayerConfig;
}
</script>

<style scoped lang="less">
</style>
